﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CAXTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            InitializeChart();
        }

        private void InitializeChart()
        {
            axTeeCommander1.ChartLink = m_colorGrid.ChartLink;

            m_colorGrid.Dock = DockStyle.Fill;
            m_colorGrid.Aspect.View3D = false;
            m_colorGrid.AddSeries(TeeChart.ESeriesClass.scSurface);
            m_colorGrid.Series(0).asSurface.Pen.Visible = false;

            double tmp;
            for (int X = 0; X < 15; X++)
            {
                for (int z = 0; z < 15; z++)
                {
                    tmp = 10;
                    if (X >= 4 && X <= 6 && z >= 4 && z <= 6)
                    {
                        tmp = 100;
                    }
                    if (X >= 7 && X <= 9 && z >= 7 && z <= 9)
                    {
                        tmp = 75;
                    }
                    m_colorGrid.Series(0).asSurface.AddXYZ(X, tmp, z, "", (uint) TeeChart.EConstants.clTeeColor);
                }
            } 
        }
    }
}
